# OpalIMContext::ConversationInfo Struct Reference

`#include <im.h>`

## Public Member Functions

| ConversationInfo (const PString &id, bool opening, bool byRemote, const PSafePtr< OpalIMContext > &context)

## Data Fields

PString | m_conversationId
| Conversation ID.
bool | m_opening
| Opening or closing conversation.
bool | m_byRemote
| Operation is initiated by remote user or local user.
PSafePtr< OpalIMContext > | m_context
| Context opening/closing.

## Detailed Description

Information in notification on conversation state change.

## Constructor & Destructor Documentation

OpalIMContext::ConversationInfo::ConversationInfo | ( | const PString & | id,
|  | bool | opening,
|  | bool | byRemote,
|  | const PSafePtr< OpalIMContext > & | context |
| ) |  |  | `[inline]`

## Field Documentation

bool OpalIMContext::ConversationInfo::m_byRemote

Operation is initiated by remote user or local user.

PSafePtr<OpalIMContext> OpalIMContext::ConversationInfo::m_context

Context opening/closing.

PString OpalIMContext::ConversationInfo::m_conversationId

Conversation ID.

bool OpalIMContext::ConversationInfo::m_opening

Opening or closing conversation.

The documentation for this struct was generated from the following file:

- im.h